<!-- PROJECT LOGO -->
<p align="center">
  <a href="https://dyte.in">
    <img src="https://dyte-uploads.s3.ap-south-1.amazonaws.com/dyte-logo-dark.svg" alt="Logo" width="80">
  </a>

  <h3 align="center">Dyte Web Core</h3>

  <p align="center">
    A SDK that provides Dyte's core functionality.
    <br />
    <a href="https://docs.dyte.in"><strong>Explore the docs »</strong></a>
    <br />
    <br />
    <a href="https://app.dyte.in">View Demo</a>
    ·
    <a href="https://docs.dyte.in/discuss">Report Bug</a>
    ·
    <a href="https://docs.dyte.in/discuss">Request Feature</a>
  </p>
</p>




<!-- TABLE OF CONTENTS -->

## Table of Contents

* [About the Project](#about-the-project)
  * [Built With](#built-with)
* [Getting Started](#getting-started)
  * [Prerequisites](#prerequisites)
  * [Installation](#installation)
* [Usage](#usage)
* [Roadmap](#roadmap)
* [Contributing](#contributing)
* [License](#license)
* [Contributors](#contributors-)



<!-- ABOUT THE PROJECT -->
## About The Project

The core SDK provides Dyte's core functionality, while letting a developer build a custom UI over it.

### Built With

* [Dyte](https://dyte.io)
* [Typescript](https://typescriptlang.org)


<!-- GETTING STARTED -->
## Getting Started

### Prerequisites
* npm

### Installation

```sh
npm install @dytesdk/web-core
```



<!-- USAGE EXAMPLES -->
## Usage

A `meeting` object can be created using the `DyteClient.init()` method.

```ts
const meeting = await DyteClient.init({
    roomName,
    authToken: resp.authToken,
    defaults: {
        audio: false,
        video: false,
    }
});
```

The `meeting` object is used for all interaction with Dyte's servers. For example, the following code snippet is used for a user to join a room.

```ts
await meeting.joinRoom();
```

_For more examples, please refer to the [Documentation](https://docs.dyte.in)._



<!-- ROADMAP -->
## Roadmap

See the [open issues](https://github.com/dyte-in/docs-template/issues) for a list of proposed features (and known issues).



<!-- CONTRIBUTING -->
## Contributing

Contributions are what make the open source community such an amazing place to be learn, inspire, and create. Any contributions you make are **greatly appreciated**.

1. Fork the Project
2. Create your Feature Branch (`git checkout -b feature/AmazingFeature`)
3. Commit your Changes (`git commit -m 'feat: Add some AmazingFeature'`)
4. Push to the Branch (`git push -u origin feature/AmazingFeature`)
5. Open a Pull Request

You are requested to follow the contribution guidelines specified in [CONTRIBUTING.md](./CONTRIBUTING.md) while contributing to the project :smile:.

<!-- LICENSE -->
## License

Distributed under the MIT License. See [`LICENSE`](./LICENSE) for more information.



<!-- MARKDOWN LINKS & IMAGES -->
<!-- https://www.markdownguide.org/basic-syntax/#reference-style-links -->
