import { DytePluginResponse, PluginConfig } from '../client/DytePlugin';
import { UserDetailsResponse } from '../client/DyteSelf';
import API, { APIOptions } from './API';
import { UserPresetResponse } from '../controllers/SelfController';
export declare class APIClient extends API {
    constructor(options?: APIOptions);
    getRoomNodeData(roomName: string): Promise<{
        roomNodeUrl: string;
        meetingTitle: string;
    }>;
    getICEServers(): Promise<RTCIceServer[]>;
    getUserDetails(): Promise<UserDetailsResponse>;
    getUserPreset(roomName: string): Promise<UserPresetResponse>;
    getPlugins(): Promise<DytePluginResponse[]>;
    getPluginDetails(pluginId: string): Promise<DytePluginResponse>;
    getPluginConfig(pluginBaseUrl: string): Promise<PluginConfig>;
    authorizePlugin(pluginId: string): Promise<string>;
    getPresignedUrls(filename: string): Promise<{
        getLocation: any;
        putLocation: any;
    }>;
    uploadFile(file: File, url: string): Promise<void>;
    startRecording(): Promise<any>;
    stopRecording(recordingId: string): Promise<import("axios").AxiosResponse<any, any>>;
    getActiveRecording(): Promise<any>;
}
export declare function setupAPIClient(options: APIOptions): APIClient;
export declare function getAPIClient(): APIClient;
