import DyteEventEmitter from '../utils/DyteEventEmitter';
import DytePluginMap from './map/DytePluginMap';
/**
 * The DytePlugins module consists of all the plugins in the meeting. It has 2 maps:
 * - `all`: Consists of all the plugins in the meeting.
 * - `active`: Consists of the plugins that are currently in use.
 * @module DytePlugins
 * @typicalname meeting.plugins
 */
export default class DytePlugins extends DyteEventEmitter {
    /**
     * All plugins accessible by the current user.
     */
    readonly all: DytePluginMap;
    /**
     * All plugins that are currently enabled in the room.
     */
    readonly active: DytePluginMap;
    constructor();
}
