import { DyteSelf } from '..';
import DyteEventEmitter from '../utils/DyteEventEmitter';
export declare type RecordingState = 'IDLE' | 'STARTING' | 'RECORDING' | 'STOPPING';
/**
 * The DyteRecording module represents the state of the current recording, and allows
 * to start/stop recordings and check if there's a recording in progress.
 * @module DyteRecording
 * @typicalname meeting.recording
*/
export default class DyteRecording extends DyteEventEmitter {
    #private;
    recordingState: RecordingState;
    recordingId?: string;
    recordingPeerId?: string;
    constructor(self: DyteSelf);
    setRecordingState(recordingState: RecordingState): void;
    private emitCurrentRecordingState;
    /**
     * Starts recording the meeting.
     */
    start(): Promise<void>;
    /**
     * Stops recording the meeting assuming there
     * is a recording in progress.
     */
    stop(): Promise<void>;
    /**
     * Refreshes current recording state.
     */
    refreshActiveRecordingState(): Promise<void>;
}
