import DyteEventEmitter, { DyteEvents } from '../../utils/DyteEventEmitter';
export interface DyteMapEvents {
    onAddEvent?: keyof typeof DyteEvents;
    onDeleteEvent?: keyof typeof DyteEvents;
    onClearEvent?: keyof typeof DyteEvents;
}
export default class DyteMap<T extends {
    id: string;
} & DyteEventEmitter> extends Map<string, T> {
    #private;
    readonly onAddEvent: keyof typeof DyteEvents;
    readonly onDeleteEvent: keyof typeof DyteEvents;
    readonly onClearEvent: keyof typeof DyteEvents;
    constructor(options?: DyteMapEvents);
    emit(event: keyof typeof DyteEvents, ...args: any[]): boolean;
    on(event: keyof typeof DyteEvents, callback: (...args: any[]) => any): DyteEventEmitter;
    addListener(event: keyof typeof DyteEvents, callback: (...args: any[]) => any): DyteEventEmitter;
    off(event: keyof typeof DyteEvents, callback: (...args: any[]) => any): DyteEventEmitter;
    once(event: keyof typeof DyteEvents, callback: (...args: any[]) => any): DyteEventEmitter;
    prependListener(event: keyof typeof DyteEvents, callback: (...args: any[]) => any): DyteEventEmitter;
    prependOnceListener(event: keyof typeof DyteEvents, callback: (...args: any[]) => any): DyteEventEmitter;
    removeListener(event: keyof typeof DyteEvents, callback: (...args: any[]) => any): DyteEventEmitter;
    removeAllListeners(event?: keyof typeof DyteEvents): DyteEventEmitter;
    listeners(event: keyof typeof DyteEvents): Function[];
    listenerCount(event: keyof typeof DyteEvents): number;
    getMaxListeners(): number;
    setMaxListeners(n: number): DyteEventEmitter;
    eventNames(): (string | symbol)[];
    add(obj: T, emitEvent?: boolean): this;
    set(objId: string, obj: T, emitEvent?: boolean): this;
    delete(objId: string, emitEvent?: boolean, removeListeners?: boolean): boolean;
    clear(emitEvent?: boolean, removeListeners?: boolean): void;
    toArray(): T[];
}
