import DyteMap from './DyteMap';
import DytePlugin from '../DytePlugin';
/**
 * This is a map of plugins, indexed by `plugin.id`.
 * This map emits an event whenever a plugin present in the map emits an event.
 * For example, when a plugin is added to this map, a `pluginAdded` event is
 * emitted from the map. When a plugin object emits an event `stateUpdate`, the map
 * re-emits that event (provided the plugin is present in the map).
 * @module DytePluginMap
 * @typicalname meeting.plugins.all
 */
export default class DytePluginMap<T extends DytePlugin = DytePlugin> extends DyteMap<T> {
    constructor();
    add(plugin: T, emitEvent?: boolean): this;
    delete(pluginId: string, emitEvent?: boolean, removeListeners?: boolean): boolean;
}
