type ChatMessage = any; 
import DyteChat, { Message } from '../client/DyteChat';
import DyteSelf from '../client/DyteSelf';
import RoomNodeClient from '../roomNode/RoomNodeClient';
import ChatSocketHandler from '../socketService/ChatSocketHandler';
export declare type ChatSocketServerName = 'socket-service' | 'room-node';
export default class ChatController {
    #private;
    readonly chat: DyteChat;
    readonly chatSocketHandler: ChatSocketHandler;
    constructor(chatSocketHandler: ChatSocketHandler, roomNodeClient: RoomNodeClient, socketServerName: ChatSocketServerName, self: DyteSelf);
    static init(chatSocketHandler: ChatSocketHandler, roomNodeClient: RoomNodeClient, self: DyteSelf): Promise<ChatController>;
    private static formatMessage;
    /**
     * @access private
     * This function formates the chat message coming from
     * socket service. This is not meant for external use.
     */
    static formatSocketServiceMessage(sockMessage: ChatMessage): Message;
    private getChatMessages;
    private setupEvents;
}
