import DytePlugins from '../client/DytePlugins';
import DyteSelf from '../client/DyteSelf';
import RoomNodeClient from '../roomNode/RoomNodeClient';
import PluginSocketHandler from '../socketService/PluginSocketHandler';
import DyteParticipants from '../client/DyteParticipants';
import { DyteChat } from '..';
import ChatSocketHandler from '../socketService/ChatSocketHandler';
export declare type PluginSocketServerName = 'socket-service' | 'room-node';
export default class PluginController {
    #private;
    readonly plugins: DytePlugins;
    constructor(pluginSocketHandler: PluginSocketHandler, chatSocketHandler: ChatSocketHandler, roomNodeClient: RoomNodeClient, socketServerName: PluginSocketServerName, plugins: DytePlugins, self: DyteSelf);
    static init(pluginSocketHandler: PluginSocketHandler, chatSocketHandler: ChatSocketHandler, chat: DyteChat, roomNodeClient: RoomNodeClient, self: DyteSelf, participants: DyteParticipants): Promise<PluginController>;
    private getRoomPlugins;
    private enablePlugin;
    private disablePlugin;
    private sendIframeEventOld;
    private sendIframeEvent;
    private broadcastIframeEventOld;
    private broadcastIframeEvent;
    private setupEvents;
}
