import DyteParticipants from '../client/DyteParticipants';
import DyteRemote from '../client/DyteRemote';
import DyteSelf from '../client/DyteSelf';
import RoomNodeClient from '../roomNode/RoomNodeClient';
declare global {
    interface Window {
        DyteRobot: {
            mouse: {
                moveTo: (x: number, y: number, browserScreen: {
                    width: number;
                    height: number;
                }) => Promise<any>;
                leftClick: (x: number, y: number, browserScreen: {
                    width: number;
                    height: number;
                }) => Promise<any>;
                rightClick: (x: number, y: number, browserScreen: {
                    width: number;
                    height: number;
                }) => Promise<any>;
            };
            keyboard: {
                type: (text: string) => Promise<any>;
                press: (text: string) => Promise<any>;
            };
        };
    }
}
export default class RemoteController {
    #private;
    readonly remote: DyteRemote;
    hostPeetId: string;
    remotePeetId: string;
    remoteRequestTokens: {
        peerId: string;
        requestToken: string;
    }[];
    activeRemoteToken: string;
    constructor(roomNodeClient: RoomNodeClient, self: DyteSelf, participants: DyteParticipants);
    setupEvents(): void;
    private static executeMouseEvent;
    private static executeKeyboardEvent;
}
