import DyteClient from './client/DyteClient';
import type IDyteParticipant from './client/DyteParticipant';
import type IDyteParticipants from './client/DyteParticipants';
import type IDyteParticipantMap from './client/map/DyteParticipantMap';
import type IDytePlugin from './client/DytePlugin';
import type IDytePlugins from './client/DytePlugins';
import type IDytePluginMap from './client/map/DytePluginMap';
import type IDyteMeta from './client/DyteMeta';
import type IDyteSelf from './client/DyteSelf';
import type IDyteChat from './client/DyteChat';
import type IDytePolls from './client/DytePolls';
import type IDyteRecording from './client/DyteRecording';
import DyteTelemetry from './utils/opentelemetry';
export type { MediaPermission } from './utils/media';
export declare type DyteParticipant = Readonly<IDyteParticipant>;
export declare type DyteParticipants = Readonly<IDyteParticipants>;
export declare type DyteParticipantMap = Readonly<IDyteParticipantMap>;
export declare type DytePlugin = Readonly<IDytePlugin>;
export declare type DytePlugins = Readonly<IDytePlugins>;
export declare type DytePluginMap = Readonly<IDytePluginMap>;
export declare type DyteMeta = Readonly<IDyteMeta>;
export declare type DyteSelf = Readonly<IDyteSelf>;
export declare type DyteChat = Readonly<IDyteChat>;
export declare type DytePolls = Readonly<IDytePolls>;
export declare type DyteRecording = Readonly<IDyteRecording>;
/**
* NOTE(ravindra-dyte): Need next section on window
* to add more tests in testing framework in future
* Added ?? to avoid any conflicts whatsoever
*/
declare type DyteType = {
    callStats?: unknown;
    DyteTelemetry?: typeof DyteTelemetry;
};
declare global {
    interface Window {
        Dyte?: DyteType;
        /**
         * NOTE(ravindra-dyte)
         * Properties such as MediaStreamTrackProcessor are non yet implemented by all browsers.
         * Defining them in window interface helps with ts rules
         */
        MediaStreamTrackProcessor?: any;
        MediaStreamTrackGenerator?: any;
        TransformStream?: any;
    }
}
/**
 * NOTE(roerohan): Only 1 `default` export is allowed, otherwise vite builds will break.
 * Named exports should only be used for types using `export type`.
 */
export default DyteClient;
