import SocketService from './SocketService';
export declare enum ChatMessageType {
    TEXT = 0,
    IMAGE = 1,
    FILE = 2
}
export default class ChatSocketHandler {
    socket: SocketService;
    constructor(socketService: SocketService);
    getChatMessages(): Promise<{
        id: string;
        payload: Uint8Array;
    }>;
    sendMessageToRoom(message: string, messageType: ChatMessageType): void;
    sendMessageToPeers(message: string, messageType: ChatMessageType, peerIds: string[]): void;
    sendMessage(message: string, messageType: ChatMessageType, peerIds?: string[]): void;
    editMessage(chatId: string, message: string, messageType: ChatMessageType, pinned?: boolean): void;
    deleteMessage(chatId: string): void;
}
