type EnablePluginsResponse = any; 
import SocketService from './SocketService';
export default class PluginSocketHandler {
    socket: SocketService;
    constructor(socketService: SocketService);
    addPlugin(pluginId: string, staggered: boolean): void;
    removePlugin(pluginId: string): void;
    getActivePlugins(): Promise<EnablePluginsResponse>;
    customPluginEventToRoom(pluginId: string, data: any, messageId?: string): void;
    customPluginEventToPeers(pluginId: string, peerIds: string[], data: any, messageId?: string): void;
    enablePluginForRoom(pluginId: string, messageId?: string): void;
    enablePluginForPeers(pluginId: string, peerIds: string[], messageId?: string): void;
    disablePluginForRoom(pluginId: string, messageId?: string): void;
    disablePluginForPeers(pluginId: string, peerIds: string[], messageId?: string): void;
    storeInsertKeys(pluginId: string, store: string, insertKeys: {
        key: string;
        payload?: any;
    }[], messageId?: string): void;
    storeGetKeys(pluginId: string, store: string, getKeys: {
        key: string;
    }[], messageId?: string): void;
    storeDeleteKeys(pluginId: string, store: string, deleteKeys: {
        key: string;
    }[], messageId?: string): void;
    storeDelete(pluginId: string, store: string, messageId?: string): void;
    /**
     * @deprecated
     */
    getPluginDataOld(pluginId: string, store: string): void;
    /**
     * @deprecated
     */
    storePluginDataOld(pluginId: string, store: string, data: any): void;
}
