export default class SocketService {
    #private;
    constructor({ peerId, roomName, authToken }: {
        peerId: string;
        roomName: string;
        authToken: string;
    });
    connect(): Promise<void>;
    disconnect(): void;
    sendMessage(event: number, protobuf?: {
        serializeBinary: () => Uint8Array;
    }, messageId?: string): void;
    sendMessagePromise(event: number, protobuf?: {
        serializeBinary: () => Uint8Array;
    }, messageId?: string): Promise<{
        id: string;
        payload: Uint8Array;
    }>;
    on(event: number, listener: (message: {
        id?: string;
        payload?: Uint8Array;
    }) => void): void;
    onStateEvent(event: 'connected' | 'disconnected' | 'reconnected' | 'errored', listener: (...args: any) => void): void;
}
