/// <reference types="node" />
import { EventEmitter } from 'events';
export declare enum DyteEvents {
    '*' = 0,
    added = 1,
    deleted = 2,
    cleared = 3,
    connected = 4,
    disconnected = 5,
    poorConnection = 6,
    roomJoined = 7,
    waitlisted = 8,
    roomLeft = 9,
    audioUpdate = 10,
    videoUpdate = 11,
    screenShareUpdate = 12,
    previewUpdate = 13,
    deviceUpdate = 14,
    chatUpdate = 15,
    pinMessage = 16,
    unpinMessage = 17,
    pollsUpdate = 18,
    participantJoined = 19,
    participantLeft = 20,
    participantsCleared = 21,
    participantsUpdate = 22,
    viewModeChanged = 23,
    pageChanged = 24,
    activeSpeaker = 25,
    pluginAdded = 26,
    pluginDeleted = 27,
    stateUpdate = 28,
    pinned = 29,
    unpinned = 30,
    recordingUpdate = 31,
    remoteRequestAdd = 32,
    remoteRequestRemove = 33,
    remoteUpdate = 34,
    closed = 35,
    ready = 36,
    mediaPermissionError = 37,
    broadcastedMessage = 38
}
export default class DyteEventEmitter extends EventEmitter {
    emit(event: keyof typeof DyteEvents, ...args: any[]): boolean;
    on(event: keyof typeof DyteEvents, callback: (...args: any[]) => void): this;
    addListener(event: keyof typeof DyteEvents, callback: (...args: any[]) => any): this;
    off(event: keyof typeof DyteEvents, callback: (...args: any[]) => any): this;
    once(event: keyof typeof DyteEvents, callback: (...args: any[]) => any): this;
    prependListener(event: keyof typeof DyteEvents, callback: (...args: any[]) => any): this;
    prependOnceListener(event: keyof typeof DyteEvents, callback: (...args: any[]) => any): this;
    removeListener(event: keyof typeof DyteEvents, callback: (...args: any[]) => any): this;
    removeAllListeners(event?: keyof typeof DyteEvents): this;
    listeners(event: keyof typeof DyteEvents): Function[];
    listenerCount(event: keyof typeof DyteEvents): number;
}
